Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.repository
Class UnresolvedImportUIHandler

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.repository.UnresolvedImportUIHandler

All Implemented Interfaces:
  UnresolvedImportHandler

    public class UnresolvedImportUIHandler

extends Object
implements UnresolvedImportHandler

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 26, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `ADD_OPTION`
`static String` | `CANCEL_OPTION`
`static ArrayList` | `OPTIONS`

Constructor Summary
`UnresolvedImportUIHandler()`

Method Summary
`Repository` | `handleUnresolvableImport(OWLModel model, TripleStore tripleStore, URI ontologyName)` Used by the `ProtegeOWLParser` to obtain an ontology repository that contains the specified ontology.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_OPTION

    public static final String ADD_OPTION

See Also:
  Constant Field Values

### CANCEL_OPTION

    public static final String CANCEL_OPTION

See Also:
  Constant Field Values

### OPTIONS

    public static final ArrayList OPTIONS

Constructor Detail

### UnresolvedImportUIHandler

    public UnresolvedImportUIHandler()

Method Detail

### handleUnresolvableImport

    public Repository handleUnresolvableImport(OWLModel model,
                                               TripleStore tripleStore,
                                               URI ontologyName)

  Description copied from interface: `UnresolvedImportHandler`
  Used by the `ProtegeOWLParser` to obtain an ontology repository that contains the specified ontology.

  Specified by:
    `handleUnresolvableImport` in interface `UnresolvedImportHandler`
  Parameters:
    `model` - The `OWLModel`
    `tripleStore` - The triple store that the triples from the ontology will be inserted into.
    `ontologyName` - The name of the ontology that the system is attempting to import.
  Returns:
    A `Repository` containing the ontology, or, `null` if the missing ontology cannot be found and the loading process should be aborted.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.